Crypto++ 8.6 Free C++ class library of cryptographic schemes

Public Member Functions | Static Public Member Functions | List of all members
SHA384 Class Reference

SHA-384 message digest. More...

Inheritance diagram for SHA384:

## Public Member Functions
std::string | AlgorithmProvider () const
Public Member Functions inherited from IteratedHashWithStaticTransform< word64, BigEndian, 128, 64, SHA384, 48, true >
unsigned int | DigestSize () const
| Provides the digest size of the hash. More...
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object. More...

## Static Public Member Functions
static void | InitState (HashWordType *state)
| Initialize state array. More...
static void | Transform (HashWordType *digest, const HashWordType *data)
| Operate the hash. More...
static const char * | StaticAlgorithmName ()
| The algorithm name. More...

## Additional Inherited Members
Static Public Attributes inherited from IteratedHashWithStaticTransform< word64, BigEndian, 128, 64, SHA384, 48, true >
static const int | DIGESTSIZE

## Detailed Description

SHA-384 message digest.

See also
  SHA-384

Since
  SHA2 since Crypto++ 4.0, Power8 SHA since Crypto++ 6.1

Definition at line 176 of file sha.h.

## Member Function Documentation

## ◆ InitState()

static void SHA384::InitState | ( | HashWordType * | state | ) |
| static

Initialize state array.

Parameters

  state | the state of the hash

InitState sets a state array to SHA384 initial values

Hashes which derive from IteratedHashWithStaticTransform provide static member functions InitState and Transform. External classes, like SEAL and MDC, can initialize state with a user provided key and operate the hash on the data with the user supplied state.

Note
  On Intel platforms the state array must be 16-byte aligned for SSE2.

## ◆ Transform()

static void SHA384::Transform | ( | HashWordType * | digest,
|  | const HashWordType * | data
| ) |  |
| inline static

Operate the hash.

Parameters

  digest | the state of the hash
  data | the data to be digested

Transform operates the hash on `data`. When the call is invoked `digest` holds initial state. Upon return `digest` holds the hash or updated state.

Hashes which derive from IteratedHashWithStaticTransform provide static member functions InitState and Transform. External classes, like SEAL and MDC, can initialize state with a user provided key and operate the hash on the data with the user supplied state.

Note
  On Intel platforms the state array and data must be 16-byte aligned for SSE2.

Definition at line 199 of file sha.h.

## ◆ StaticAlgorithmName()

static const char* SHA384::StaticAlgorithmName | ( |  | ) |
| inline static

The algorithm name.

Returns
  C-style string "SHA-384"

Definition at line 202 of file sha.h.

The documentation for this class was generated from the following file:

- sha.h